# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2
from ryax.worker.infrastructure.grpc.vpa_protocol import vpa_protocol_pb2 as ryax_dot_worker_dot_infrastructure_dot_grpc_dot_vpa__protocol_dot_vpa__protocol__pb2


class VpaStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.NewRecommendations = channel.unary_unary(
                '/vpa_protocol.Vpa/NewRecommendations',
                request_serializer=ryax_dot_worker_dot_infrastructure_dot_grpc_dot_vpa__protocol_dot_vpa__protocol__pb2.NewRecommendationsRequest.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )


class VpaServicer(object):
    """Missing associated documentation comment in .proto file."""

    def NewRecommendations(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_VpaServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'NewRecommendations': grpc.unary_unary_rpc_method_handler(
                    servicer.NewRecommendations,
                    request_deserializer=ryax_dot_worker_dot_infrastructure_dot_grpc_dot_vpa__protocol_dot_vpa__protocol__pb2.NewRecommendationsRequest.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'vpa_protocol.Vpa', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Vpa(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def NewRecommendations(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/vpa_protocol.Vpa/NewRecommendations',
            ryax_dot_worker_dot_infrastructure_dot_grpc_dot_vpa__protocol_dot_vpa__protocol__pb2.NewRecommendationsRequest.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
